Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.domain.valuerange.descriptor
Class AbstractValueRangeDescriptor

    java.lang.Object
      org.optaplanner.core.impl.domain.valuerange.descriptor.AbstractValueRangeDescriptor

All Implemented Interfaces:
  ValueRangeDescriptor

Direct Known Subclasses:
  AbstractFromPropertyValueRangeDescriptor, CompositeValueRangeDescriptor

    public abstract class AbstractValueRangeDescriptor

extends Object
implements ValueRangeDescriptor

Field Summary
`protected boolean` | `addNullInValueRange`
`protected GenuineVariableDescriptor` | `variableDescriptor`

Constructor Summary
`AbstractValueRangeDescriptor(GenuineVariableDescriptor variableDescriptor, boolean addNullInValueRange)`

Method Summary
`protected
`<T> ValueRange<T>`
` | `doNullInValueRangeWrapping(ValueRange<T> valueRange)`
`GenuineVariableDescriptor` | `getVariableDescriptor()`
`boolean` | `mightContainEntity()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.domain.valuerange.descriptor.ValueRangeDescriptor
`extractValueRange, isCountable, isEntityIndependent`

Field Detail

### variableDescriptor

    protected final GenuineVariableDescriptor variableDescriptor

### addNullInValueRange

    protected final boolean addNullInValueRange

Constructor Detail

### AbstractValueRangeDescriptor

    public AbstractValueRangeDescriptor(GenuineVariableDescriptor variableDescriptor,
                                        boolean addNullInValueRange)

Method Detail

### getVariableDescriptor

    public GenuineVariableDescriptor getVariableDescriptor()

  Specified by:
    `getVariableDescriptor` in interface `ValueRangeDescriptor`
  Returns:
    never null

### mightContainEntity

    public boolean mightContainEntity()

  Specified by:
    `mightContainEntity` in interface `ValueRangeDescriptor`
  Returns:
    true if the `ValueRange` might contain a planning entity instance (not necessarily of the same entity class as this entity class of this descriptor.

### doNullInValueRangeWrapping

    protected <T> ValueRange<T> doNullInValueRangeWrapping(ValueRange<T> valueRange)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.